<!DOCTYPE html>
<html>

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>GCC Code Coverage Report</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="index.css">
  </head>

  <body>
    <h1>GCC Code Coverage Report</h1>

    <hr/>

    <div class="summary">
<div>
  <table class="legend">
    <tr>
      <th scope="row">Directory:</th>
      <td>./</td>
    </tr>
    <tr>
      <th scope="row">File:</th>
      <td>Hyperelasticity/linearProblemHyperElasticityHelper.hpp</td>
    </tr>
    <tr>
      <th scope="row">Date:</th>
      <td>2024-11-17 08:29:21</td>
    </tr>
  </table>
</div>
<div>
  <table class="coverage">
    <tr>
      <th></th>
      <th scope="col">Exec</th>
      <th scope="col">Total</th>
      <th scope="col">Coverage</th>
    </tr>
    <tr>
      <th scope="row">Lines:</th>
      <td>36</td>
      <td>42</td>
      <td class="coverage-medium">85.7%</td>
    </tr>
    <tr>
      <th scope="row">Branches:</th>
      <td>88</td>
      <td>194</td>
      <td class="coverage-low">45.4%</td>
    </tr>
  </table>
</div>
    </div>

    <hr/>

<div class="file-source">
  <table>
    <tr>
      <th align="right">Line</th>
      <th align="right">Branch</th>
      <th align="right">Exec</th>
      <th align="left">Source</th>
    </tr>


    <tr class="source-line">
      <td class="lineno"><a id="l1" href="#l1">1</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//   ______ ______ _      _  _____      ______</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l2" href="#l2">2</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |  ____|  ____| |    (_)/ ____|    |  ____|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l3" href="#l3">3</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  | |__  | |__  | |     _| (___   ___| |__</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l4" href="#l4">4</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |  __| |  __| | |    | |\___ \ / __|  __|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l5" href="#l5">5</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  | |    | |____| |____| |____) | (__| |____</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l6" href="#l6">6</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |_|    |______|______|_|_____/ \___|______|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l7" href="#l7">7</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  Finite Elements for Life Sciences and Engineering</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l8" href="#l8">8</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l9" href="#l9">9</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  License:		 LGL2.1 License</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l10" href="#l10">10</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  FELiScE default license: LICENSE in root folder</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l11" href="#l11">11</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l12" href="#l12">12</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  Main authors:    S. Gilles</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l13" href="#l13">13</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l14" href="#l14">14</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l15" href="#l15">15</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#ifndef _FELISCE_PRIVATE_LINEAR_PROBLEM_HYPER_ELASTICITY_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l16" href="#l16">16</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp"># define _FELISCE_PRIVATE_LINEAR_PROBLEM_HYPER_ELASTICITY_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l17" href="#l17">17</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l18" href="#l18">18</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// System includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l19" href="#l19">19</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l20" href="#l20">20</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// External includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l21" href="#l21">21</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l22" href="#l22">22</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// Project includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l23" href="#l23">23</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Core/felisce.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l24" href="#l24">24</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Core/felisceParam.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l25" href="#l25">25</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;FiniteElement/currentFiniteElement.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l26" href="#l26">26</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Hyperelasticity/invariants.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l27" href="#l27">27</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Hyperelasticity/enumHyperelasticity.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l28" href="#l28">28</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;HyperelasticityLaws/HyperElasticLaw.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l29" href="#l29">29</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l30" href="#l30">30</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="k">namespace</span><span class="w"> </span><span class="nn">felisce</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l31" href="#l31">31</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l32" href="#l32">32</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">namespace</span><span class="w"> </span><span class="nn">Private</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l33" href="#l33">33</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l34" href="#l34">34</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">namespace</span><span class="w">  </span><span class="nn">HyperElasticity</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l35" href="#l35">35</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l36" href="#l36">36</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="k">enum</span><span class="w"> </span><span class="nc">ForceType</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l37" href="#l37">37</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="n">volumic</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l38" href="#l38">38</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="n">surfacic</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="mi">2</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l39" href="#l39">39</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l40" href="#l40">40</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l41" href="#l41">41</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="c1">// Assign the type of force applied from the integer read in the data file</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l42" href="#l42">42</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="n">ForceType</span><span class="w"> </span><span class="nf">AssignForceType</span><span class="p">(</span><span class="kt">int</span><span class="w"> </span><span class="n">data_parameter</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l43" href="#l43">43</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l44" href="#l44">44</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="cm">/*!</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l45" href="#l45">45</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">       * \brief Helper method for #calculateLinearAndNonLinearMatrixAndRhs.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l46" href="#l46">46</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">       *</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l47" href="#l47">47</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">       * The point is mostly to put in common most of 2D (only plane strain considered at the moment) and 3D cases.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l48" href="#l48">48</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">       */</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l49" href="#l49">49</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="k">template</span><span class="o">&lt;</span><span class="k">class</span><span class="w"> </span><span class="nc">CauchyGreenTensorT</span><span class="o">&gt;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l50" href="#l50">50</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">      </span><span class="kt">void</span><span class="w"> </span><span class="n">calculateLinearAndNonLinearMatrixAndRhsHelper</span><span class="p">(</span><span class="n">HyperElasticLaw</span><span class="o">::</span><span class="n">Pointer</span><span class="w"> </span><span class="n">pLaw</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l51" href="#l51">51</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">CauchyGreenTensorT</span><span class="o">&amp;</span><span class="w"> </span><span class="n">rCauchyGreenTensor</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l52" href="#l52">52</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="kt">double</span><span class="w"> </span><span class="n">pressure</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l53" href="#l53">53</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasMatrix</span><span class="o">&amp;</span><span class="w"> </span><span class="n">De</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l54" href="#l54">54</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="n">UBlasMatrix</span><span class="o">&amp;</span><span class="w"> </span><span class="n">linearPart</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l55" href="#l55">55</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="n">UBlasVector</span><span class="o">&amp;</span><span class="w"> </span><span class="n">dW</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l56" href="#l56">56</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="n">UBlasVector</span><span class="o">&amp;</span><span class="w"> </span><span class="n">rhsPart</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l57" href="#l57">57</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="kt">bool</span><span class="w"> </span><span class="n">IsIncompressible</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l58" href="#l58">58</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l59" href="#l59">59</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l60" href="#l60">60</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l61" href="#l61">61</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount coveredLine">9468000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="n">std</span><span class="o">::</span><span class="n">array</span><span class="o">&lt;</span><span class="kt">double</span><span class="p">,</span><span class="w"> </span><span class="mi">3</span><span class="o">&gt;</span><span class="w"> </span><span class="n">invariants</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l62" href="#l62">62</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="n">Invariants</span><span class="o">::</span><span class="n">Invariant1</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">),</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l63" href="#l63">63</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="n">Invariants</span><span class="o">::</span><span class="n">Invariant2</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">),</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l64" href="#l64">64</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="n">Invariants</span><span class="o">::</span><span class="n">Invariant3</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l65" href="#l65">65</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l66" href="#l66">66</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l67" href="#l67">67</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SetInvariants</span><span class="p">(</span><span class="n">invariants</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l68" href="#l68">68</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l69" href="#l69">69</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l70" href="#l70">70</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 5 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 6 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="w"> </span><span class="n">dI1dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">move</span><span class="p">(</span><span class="n">FirstDerivativeInvariant1CauchyGreen</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">));</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l71" href="#l71">71</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 5 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 6 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="w"> </span><span class="n">dI2dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">move</span><span class="p">(</span><span class="n">FirstDerivativeInvariant2CauchyGreen</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">));</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l72" href="#l72">72</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 5 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 6 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="w"> </span><span class="n">dI3dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">move</span><span class="p">(</span><span class="n">FirstDerivativeInvariant3CauchyGreen</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">));</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l73" href="#l73">73</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l74" href="#l74">74</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dWdI1</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">FirstDerivativeWFirstInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l75" href="#l75">75</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dWdI2</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">FirstDerivativeWSecondInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l76" href="#l76">76</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dWdI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">FirstDerivativeWThirdInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l77" href="#l77">77</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l78" href="#l78">78</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="n">UBlasMatrix</span><span class="w"> </span><span class="n">d2W</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l79" href="#l79">79</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l80" href="#l80">80</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="n">UBlasMatrix</span><span class="w"> </span><span class="n">d2W_first_term</span><span class="p">,</span><span class="w"> </span><span class="n">d2W_second_term</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l81" href="#l81">81</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l82" href="#l82">82</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 5 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 6 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasMatrix</span><span class="w"> </span><span class="n">d2I1dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">move</span><span class="p">(</span><span class="n">Invariants</span><span class="o">::</span><span class="n">SecondDerivativeInvariant1CauchyGreen</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">));</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l83" href="#l83">83</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 5 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 6 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasMatrix</span><span class="w"> </span><span class="n">d2I2dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">move</span><span class="p">(</span><span class="n">Invariants</span><span class="o">::</span><span class="n">SecondDerivativeInvariant2CauchyGreen</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">));</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l84" href="#l84">84</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 5 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 6 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasMatrix</span><span class="w"> </span><span class="n">d2I3dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">move</span><span class="p">(</span><span class="n">Invariants</span><span class="o">::</span><span class="n">SecondDerivativeInvariant3CauchyGreen</span><span class="p">(</span><span class="n">rCauchyGreenTensor</span><span class="p">));</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l85" href="#l85">85</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l86" href="#l86">86</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">6/12</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
          <div class="takenBranch">&check; Branch 7 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 8 not taken.</div>
          <div class="takenBranch">&check; Branch 10 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 11 not taken.</div>
          <div class="takenBranch">&check; Branch 13 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 14 not taken.</div>
          <div class="takenBranch">&check; Branch 16 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 17 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="n">d2W_first_term</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="p">(</span><span class="n">dWdI1</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">d2I1dC</span><span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="n">dWdI2</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">d2I2dC</span><span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="n">dWdI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">d2I3dC</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l87" href="#l87">87</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l88" href="#l88">88</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="notTakenBranch">&cross; Branch 0 not taken.</div>
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="k">if</span><span class="w"> </span><span class="p">(</span><span class="n">IsIncompressible</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l89" href="#l89">89</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">            </span><span class="kt">double</span><span class="w"> </span><span class="n">dWcdI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">FirstDerivativeWcThirdInvariant</span><span class="p">(</span><span class="n">pressure</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l90" href="#l90">90</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">            </span><span class="n">d2W_first_term</span><span class="w"> </span><span class="o">+=</span><span class="w"> </span><span class="n">dWcdI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">d2I3dC</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l91" href="#l91">91</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l92" href="#l92">92</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l93" href="#l93">93</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l94" href="#l94">94</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l95" href="#l95">95</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="w"> </span><span class="n">transp_dI1dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">trans</span><span class="p">(</span><span class="n">dI1dC</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l96" href="#l96">96</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="w"> </span><span class="n">transp_dI2dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">trans</span><span class="p">(</span><span class="n">dI2dC</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l97" href="#l97">97</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="w"> </span><span class="n">transp_dI3dC</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">trans</span><span class="p">(</span><span class="n">dI3dC</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l98" href="#l98">98</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l99" href="#l99">99</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WdI1dI1</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWFirstInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l100" href="#l100">100</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WdI2dI2</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWSecondInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l101" href="#l101">101</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WdI3dI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWThirdInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l102" href="#l102">102</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l103" href="#l103">103</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WdI1dI2</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWFirstAndSecondInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l104" href="#l104">104</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WdI1dI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWFirstAndThirdInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l105" href="#l105">105</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 2 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 3 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WdI2dI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWSecondAndThirdInvariant</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l106" href="#l106">106</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l107" href="#l107">107</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">27/54</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
          <div class="takenBranch">&check; Branch 7 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 8 not taken.</div>
          <div class="takenBranch">&check; Branch 10 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 11 not taken.</div>
          <div class="takenBranch">&check; Branch 13 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 14 not taken.</div>
          <div class="takenBranch">&check; Branch 16 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 17 not taken.</div>
          <div class="takenBranch">&check; Branch 19 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 20 not taken.</div>
          <div class="takenBranch">&check; Branch 22 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 23 not taken.</div>
          <div class="takenBranch">&check; Branch 25 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 26 not taken.</div>
          <div class="takenBranch">&check; Branch 28 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 29 not taken.</div>
          <div class="takenBranch">&check; Branch 31 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 32 not taken.</div>
          <div class="takenBranch">&check; Branch 34 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 35 not taken.</div>
          <div class="takenBranch">&check; Branch 37 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 38 not taken.</div>
          <div class="takenBranch">&check; Branch 40 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 41 not taken.</div>
          <div class="takenBranch">&check; Branch 43 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 44 not taken.</div>
          <div class="takenBranch">&check; Branch 46 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 47 not taken.</div>
          <div class="takenBranch">&check; Branch 49 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 50 not taken.</div>
          <div class="takenBranch">&check; Branch 52 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 53 not taken.</div>
          <div class="takenBranch">&check; Branch 55 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 56 not taken.</div>
          <div class="takenBranch">&check; Branch 58 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 59 not taken.</div>
          <div class="takenBranch">&check; Branch 61 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 62 not taken.</div>
          <div class="takenBranch">&check; Branch 64 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 65 not taken.</div>
          <div class="takenBranch">&check; Branch 67 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 68 not taken.</div>
          <div class="takenBranch">&check; Branch 70 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 71 not taken.</div>
          <div class="takenBranch">&check; Branch 73 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 74 not taken.</div>
          <div class="takenBranch">&check; Branch 76 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 77 not taken.</div>
          <div class="takenBranch">&check; Branch 79 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 80 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="n">d2W_second_term</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">d2WdI1dI1</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI1dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI1dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l108" href="#l108">108</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI1dI2</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI1dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI2dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l109" href="#l109">109</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI1dI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI1dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI3dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l110" href="#l110">110</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI1dI2</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI2dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI1dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l111" href="#l111">111</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI2dI2</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI2dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI2dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l112" href="#l112">112</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI2dI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI2dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI3dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l113" href="#l113">113</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI1dI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI3dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI1dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l114" href="#l114">114</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI2dI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI3dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI2dC</span><span class="p">)</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l115" href="#l115">115</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">                              </span><span class="o">+</span><span class="w"> </span><span class="n">d2WdI3dI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">outer_prod</span><span class="p">(</span><span class="n">dI3dC</span><span class="p">,</span><span class="w"> </span><span class="n">transp_dI3dC</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l116" href="#l116">116</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l117" href="#l117">117</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="notTakenBranch">&cross; Branch 0 not taken.</div>
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">            </span><span class="k">if</span><span class="w"> </span><span class="p">(</span><span class="n">IsIncompressible</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l118" href="#l118">118</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">              </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">d2WcdI3dI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">SecondDerivativeWcThirdInvariant</span><span class="p">(</span><span class="n">pressure</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l119" href="#l119">119</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">              </span><span class="n">d2W_second_term</span><span class="w"> </span><span class="o">+=</span><span class="w"> </span><span class="n">d2WcdI3dI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">d2I3dC</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l120" href="#l120">120</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">            </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l121" href="#l121">121</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l122" href="#l122">122</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l123" href="#l123">123</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l124" href="#l124">124</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">3/6</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
          <div class="takenBranch">&check; Branch 7 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 8 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="n">d2W</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="mf">4.0</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="p">(</span><span class="n">d2W_first_term</span><span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="n">d2W_second_term</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l125" href="#l125">125</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l126" href="#l126">126</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l127" href="#l127">127</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l128" href="#l128">128</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">3/6</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
          <div class="takenBranch">&check; Branch 7 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 8 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">6312000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasMatrix</span><span class="w"> </span><span class="n">buf</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">prod</span><span class="p">(</span><span class="n">trans</span><span class="p">(</span><span class="n">De</span><span class="p">),</span><span class="w"> </span><span class="n">d2W</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l129" href="#l129">129</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">2/4</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">          </span><span class="n">linearPart</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">prod</span><span class="p">(</span><span class="n">buf</span><span class="p">,</span><span class="w"> </span><span class="n">De</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l130" href="#l130">130</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l131" href="#l131">131</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l132" href="#l132">132</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">7/14</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
          <div class="takenBranch">&check; Branch 7 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 8 not taken.</div>
          <div class="takenBranch">&check; Branch 10 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 11 not taken.</div>
          <div class="takenBranch">&check; Branch 13 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 14 not taken.</div>
          <div class="takenBranch">&check; Branch 16 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 17 not taken.</div>
          <div class="takenBranch">&check; Branch 19 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 20 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="n">dW</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="mf">2.0</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="p">(</span><span class="n">dWdI1</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">dI1dC</span><span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="n">dWdI2</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">dI2dC</span><span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="n">dWdI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">dI3dC</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l133" href="#l133">133</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l134" href="#l134">134</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">1/2</summary>
        <div class="linebranchContents">
          <div class="notTakenBranch">&cross; Branch 0 not taken.</div>
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="k">if</span><span class="w"> </span><span class="p">(</span><span class="n">IsIncompressible</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l135" href="#l135">135</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dWcdI3</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">pLaw</span><span class="o">-&gt;</span><span class="n">FirstDerivativeWcThirdInvariant</span><span class="p">(</span><span class="n">pressure</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l136" href="#l136">136</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">          </span><span class="n">dW</span><span class="w"> </span><span class="o">+=</span><span class="w"> </span><span class="mf">2.0</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">dWcdI3</span><span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">dI3dC</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l137" href="#l137">137</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">        </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l138" href="#l138">138</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l139" href="#l139">139</a></td>
      <td class="linebranch">
        <details class="linebranchDetails">
        <summary class="linebranchSummary">3/6</summary>
        <div class="linebranchContents">
          <div class="takenBranch">&check; Branch 1 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 2 not taken.</div>
          <div class="takenBranch">&check; Branch 4 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 5 not taken.</div>
          <div class="takenBranch">&check; Branch 7 taken 1578000 times.</div>
          <div class="notTakenBranch">&cross; Branch 8 not taken.</div>
        </div>
        </details>
      </td>
      <td class="linecount coveredLine">3156000</td>
      <td class="src coveredLine"><span class="w">        </span><span class="n">rhsPart</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">prod</span><span class="p">(</span><span class="n">trans</span><span class="p">(</span><span class="n">dW</span><span class="p">),</span><span class="w"> </span><span class="n">De</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l140" href="#l140">140</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l141" href="#l141">141</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l142" href="#l142">142</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="cm">/*!</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l143" href="#l143">143</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">       * \brief Calculates linear and non-linear part of the matrix for a given quadrature point.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l144" href="#l144">144</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">       */</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l145" href="#l145">145</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">      </span><span class="kt">void</span><span class="w"> </span><span class="n">calculateLinearAndNonLinearMatrixAndRhs</span><span class="p">(</span><span class="n">HyperElasticLaw</span><span class="o">::</span><span class="n">Pointer</span><span class="w"> </span><span class="n">pLaw</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l146" href="#l146">146</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">CurrentFiniteElement</span><span class="o">&amp;</span><span class="w"> </span><span class="n">feDisplacement</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l147" href="#l147">147</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">std</span><span class="o">::</span><span class="n">vector</span><span class="o">&lt;</span><span class="n">UBlasVector</span><span class="o">&gt;&amp;</span><span class="w"> </span><span class="n">displacementPreviousIterationPerComponent</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l148" href="#l148">148</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="n">UBlasVector</span><span class="o">&amp;</span><span class="w"> </span><span class="n">pressure_vector</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l149" href="#l149">149</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="kt">unsigned</span><span class="w"> </span><span class="kt">int</span><span class="w"> </span><span class="n">quadraturePointIndex</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l150" href="#l150">150</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="n">UBlasMatrix</span><span class="o">&amp;</span><span class="w"> </span><span class="n">linearPart</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l151" href="#l151">151</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="n">UBlasMatrix</span><span class="o">&amp;</span><span class="w"> </span><span class="n">nonLinearPart</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l152" href="#l152">152</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="n">UBlasVector</span><span class="o">&amp;</span><span class="w"> </span><span class="n">rhsPart</span><span class="p">,</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l153" href="#l153">153</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">          </span><span class="k">const</span><span class="w"> </span><span class="kt">bool</span><span class="w"> </span><span class="n">IsIncompressible</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l154" href="#l154">154</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l155" href="#l155">155</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="p">}</span><span class="w"> </span><span class="c1">// namespace HyperElasticity</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l156" href="#l156">156</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l157" href="#l157">157</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">}</span><span class="w"> </span><span class="c1">// namespace Private</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l158" href="#l158">158</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l159" href="#l159">159</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="p">}</span><span class="w"> </span><span class="c1">// namespace felisce</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l160" href="#l160">160</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l161" href="#l161">161</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp"># endif </span><span class="c1">// _FELISCE_PRIVATE_LINEAR_PROBLEM_HYPER_ELASTICITY_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l162" href="#l162">162</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

  </table>
</div>

    <hr/>

    <footer>
      Generated by: <a href="http://gcovr.com">GCOVR (Version 5.0)</a>
    </footer>
  </body>
</html>
